Package com.google.protobuf

# Enum Class Field.Cardinality

java.lang.Object
java.lang.Enum<Field.Cardinality>
com.google.protobuf.Field.Cardinality

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `Serializable`, `Comparable<Field.Cardinality>`, `Constable`

Enclosing class:
  `Field`

public static enum Field.Cardinality extends Enum<Field.Cardinality> implements ProtocolMessageEnum
Protobuf enum `google.protobuf.Field.Cardinality`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CARDINALITY_OPTIONAL`
`CARDINALITY_OPTIONAL = 1;`
`CARDINALITY_REPEATED`
`CARDINALITY_REPEATED = 3;`
`CARDINALITY_REQUIRED`
`CARDINALITY_REQUIRED = 2;`
`CARDINALITY_UNKNOWN`
`CARDINALITY_UNKNOWN = 0;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CARDINALITY_OPTIONAL_VALUE`
`CARDINALITY_OPTIONAL = 1;`
`static final int`
`CARDINALITY_REPEATED_VALUE`
`CARDINALITY_REPEATED = 3;`
`static final int`
`CARDINALITY_REQUIRED_VALUE`
`CARDINALITY_REQUIRED = 2;`
`static final int`
`CARDINALITY_UNKNOWN_VALUE`
`CARDINALITY_UNKNOWN = 0;`

## Method Summary

Modifier and Type
Method
Description
`static Field.Cardinality`
`forNumber(int value)`
`static final Descriptors.EnumDescriptor`
`getDescriptor()`
`final Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`final int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`final Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<Field.Cardinality>`
`internalGetValueMap()`
`static Field.Cardinality`
`valueOf(int value)`
Deprecated.
`static Field.Cardinality`
`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static Field.Cardinality`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Field.Cardinality[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CARDINALITY_UNKNOWN

public static final Field.Cardinality CARDINALITY_UNKNOWN
`CARDINALITY_UNKNOWN = 0;`

### CARDINALITY_OPTIONAL

public static final Field.Cardinality CARDINALITY_OPTIONAL
`CARDINALITY_OPTIONAL = 1;`

### CARDINALITY_REQUIRED

public static final Field.Cardinality CARDINALITY_REQUIRED
`CARDINALITY_REQUIRED = 2;`

### CARDINALITY_REPEATED

public static final Field.Cardinality CARDINALITY_REPEATED
`CARDINALITY_REPEATED = 3;`

### UNRECOGNIZED

public static final Field.Cardinality UNRECOGNIZED

## Field Details

### CARDINALITY_UNKNOWN_VALUE

public static final int CARDINALITY_UNKNOWN_VALUE
`CARDINALITY_UNKNOWN = 0;`

See Also:
  - Constant Field Values

### CARDINALITY_OPTIONAL_VALUE

public static final int CARDINALITY_OPTIONAL_VALUE
`CARDINALITY_OPTIONAL = 1;`

See Also:
  - Constant Field Values

### CARDINALITY_REQUIRED_VALUE

public static final int CARDINALITY_REQUIRED_VALUE
`CARDINALITY_REQUIRED = 2;`

See Also:
  - Constant Field Values

### CARDINALITY_REPEATED_VALUE

public static final int CARDINALITY_REPEATED_VALUE
`CARDINALITY_REPEATED = 3;`

See Also:
  - Constant Field Values

## Method Details

### values

public static Field.Cardinality[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Field.Cardinality valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()
Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

### valueOf

@Deprecated public static Field.Cardinality valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static Field.Cardinality forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static Internal.EnumLiteMap<Field.Cardinality> internalGetValueMap()

### getValueDescriptor

public final Descriptors.EnumValueDescriptor getValueDescriptor()
Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

### getDescriptorForType

public final Descriptors.EnumDescriptor getDescriptorForType()
Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

### getDescriptor

public static final Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static Field.Cardinality valueOf(Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null